Index: data/trunk/levels/vertical_scroller.oxw
===================================================================
--- data/trunk/levels/vertical_scroller.oxw	(revision 4681)
+++ data/trunk/levels/vertical_scroller.oxw	(revision 4682)
@@ -153,7 +153,8 @@
 
     <NPC>
-      <name>blubb</name>
-      <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
-      <team>1</team>
+      <name>Pirate01</name>
+      <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
+      <team>1</team>
+      <list>OM_GROUP_01</list>
       <swarm>1</swarm>
       <attackDistance>60</attackDistance>
@@ -169,4 +170,5 @@
       <team>1</team>
       <swarm>1</swarm>
+      <list>OM_GROUP_01</list>
       <attackDistance>60</attackDistance>
       <maxSpeed>500</maxSpeed>
@@ -181,4 +183,5 @@
       <team>1</team>
       <swarm>1</swarm>
+      <list>OM_GROUP_01</list>
       <attackDistance>60</attackDistance>
       <maxSpeed>500</maxSpeed>
@@ -193,4 +196,5 @@
       <team>1</team>
       <swarm>2</swarm>
+      <list>OM_GROUP_01</list>
       <attackDistance>60</attackDistance>
       <maxSpeed>500</maxSpeed>
@@ -205,4 +209,5 @@
       <team>1</team>
       <swarm>2</swarm>
+      <list>OM_GROUP_01</list>
       <attackDistance>60</attackDistance>
       <maxSpeed>500</maxSpeed>
@@ -217,4 +222,5 @@
       <team>2</team>
       <swarm>2</swarm>
+      <list>OM_GROUP_01</list>
       <attackDistance>60</attackDistance>
       <maxSpeed>500</maxSpeed>
@@ -228,9 +234,34 @@
       <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
       <team>2</team>
-      <swarm>2</swarm>
-      <attackDistance>60</attackDistance>
-      <maxSpeed>500</maxSpeed>
-      <Weapons>HeavyBlaster</Weapons>
-      <abs-coor>5010, 0, 0</abs-coor>
+      <swarm>3</swarm>
+      <list>OM_GROUP_01</list>
+      <attackDistance>60</attackDistance>
+      <maxSpeed>500</maxSpeed>
+      <Weapons>HeavyBlaster</Weapons>
+      <abs-coor>6000, 0, -40</abs-coor>
+      <abs-dir> 3.14,0,1,0 </abs-dir>
+    </NPC>
+    <NPC>
+      <name>Pirate08</name>
+      <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
+      <team>2</team>
+      <swarm>3</swarm>
+      <list>OM_GROUP_01</list>
+      <attackDistance>60</attackDistance>
+      <maxSpeed>500</maxSpeed>
+      <Weapons>HeavyBlaster</Weapons>
+      <abs-coor>6010, 0, -30</abs-coor>
+      <abs-dir> 3.14,0,1,0 </abs-dir>
+    </NPC>
+    <NPC>
+      <name>Pirate09</name>
+      <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
+      <team>2</team>
+      <swarm>3</swarm>
+      <list>OM_GROUP_01</list>
+      <attackDistance>60</attackDistance>
+      <maxSpeed>500</maxSpeed>
+      <Weapons>HeavyBlaster</Weapons>
+      <abs-coor>6010, 0, -50</abs-coor>
       <abs-dir> 3.14,0,1,0 </abs-dir>
     </NPC>
@@ -251,4 +282,16 @@
         <addPoint>4500,0,-200</addPoint>
       </Track>
+    </NPC>
+
+    <NPC>
+      <name>Ragnar02</name>
+      <model>models/spaceships/pirates_spaceship_ragnar.obj,6</model>
+      <abs-coor>7000, 0, -350</abs-coor>
+      <team>3</team>
+      <swarm>1</swarm>
+      <list>OM_GROUP_01</list>
+      <attackDistance>50</attackDistance>
+      <Weapons>HeavyBlaster</Weapons>
+      <maxSpeed>400</maxSpeed>
     </NPC>
 
Index: data/trunk/scripts/vertical_scroller/vs1.lua
===================================================================
--- data/trunk/scripts/vertical_scroller/vs1.lua	(revision 4681)
+++ data/trunk/scripts/vertical_scroller/vs1.lua	(revision 4682)
@@ -3,4 +3,5 @@
 thisscript:addObject("CameraMan", "cameraManager")
 thisscript:addObject("NPC", "Ragnar01")
+thisscript:addObject("NPC", "Ragnar02")
 thisscript:addObject("NPC", "Pirate01")
 thisscript:addObject("NPC", "Pirate02")
@@ -10,5 +11,6 @@
 thisscript:addObject("NPC", "Pirate06")
 thisscript:addObject("NPC", "Pirate07")
--- thisscript:addObject("NPC", "Pirate08")
+thisscript:addObject("NPC", "Pirate08")
+thisscript:addObject("NPC", "Pirate09")
 -- thisscript:addObjectAsName("GameWorld", "Mission 1", "gameWorld")
 
@@ -24,5 +26,5 @@
 triggerCutscene:setRadius(50)
 triggerCutscene:setTarget("Player")
-triggerCutscene:setAbsCoor(2300 , 0 , 10)
+triggerCutscene:setAbsCoor(2300 , 0 , 0)
 triggerCutscene:setDebugDraw(true)
 triggerCutscene:setActiveOnCreation(false)
@@ -40,5 +42,5 @@
 triggerRagnar:setRadius(50)
 triggerRagnar:setTarget("Player")
-triggerRagnar:setAbsCoor(3600 , 0 , 0)
+triggerRagnar:setAbsCoor(3600 , 0 , -10)
 triggerRagnar:setDebugDraw(true)
 triggerRagnar:setActiveOnCreation(false)
@@ -50,5 +52,5 @@
 triggerAI01:setRadius(50)
 triggerAI01:setTarget("Player")
-triggerAI01:setAbsCoor(2600, 0, 15)
+triggerAI01:setAbsCoor(2600, 0, -10)
 triggerAI01:setDebugDraw(true)
 triggerAI01:setActiveOnCreation(false)
@@ -60,7 +62,27 @@
 triggerAI02:setRadius(50)
 triggerAI02:setTarget("Player")
-triggerAI02:setAbsCoor(4900, 0, 50)
+triggerAI02:setAbsCoor(4900, 0, 0)
 triggerAI02:setDebugDraw(true)
 triggerAI02:setActiveOnCreation(false)
+
+-- Create another great AI activater
+triggerAI03 = ScriptTrigger()
+triggerAI03:setScript("vs1.lua")
+triggerAI03:setFunction("activateGroup3")
+triggerAI03:setRadius(50)
+triggerAI03:setTarget("Player")
+triggerAI03:setAbsCoor(5850, 0, -70)
+triggerAI03:setDebugDraw(true)
+triggerAI03:setActiveOnCreation(false)
+
+-- Create another great AI activater
+triggerAI04 = ScriptTrigger()
+triggerAI04:setScript("vs1.lua")
+triggerAI04:setFunction("startRagnar2")
+triggerAI04:setRadius(50)
+triggerAI04:setTarget("Player")
+triggerAI04:setAbsCoor(6500, 0, -200)
+triggerAI04:setDebugDraw(true)
+triggerAI04:setActiveOnCreation(false)
 
 -- Global Variables
@@ -68,9 +90,12 @@
 cutsceneRunning = false
 cutsceneEnd = false
+bossFight = false
+bossFightEnd = false
+time = 0
 
 function init(timestep)
 -- cameraManager:setCam("GameWorld-Camera")
 cameraManager:atachCameraToWorldEntity("CameraOne", "NPC", "Pirate01")
-cameraManager:setRelCoor("CameraOne", 8, 4 , 3.3)
+cameraManager:setRelCoor("CameraOne", 10, 8 , 5)
 
 Ragnar01:pause(true)
@@ -83,4 +108,5 @@
 function startSequence(timestep)
 
+Player:pause(true)
 cameraManager:setCam("CameraOne")
 -- gameWorld:showText("Kill those traitorous bastards")
@@ -99,12 +125,12 @@
 if counter > 5 and counter < 6 then
 cameraManager:atachCameraToWorldEntity("CameraOne", "NPC", "Pirate03")
-cameraManager:setRelCoorSoft("CameraOne", 8, 4 , 3.3, 5)
+cameraManager:setRelCoorSoft("CameraOne", 10, 8 , 5, 6)
 end
 
-if counter > 14 then
+if counter > 11 then
 cutsceneEnd = true
+Player:pause(false)
 cameraManager:setCam("GameWorld-Camera")
 end
-
 
 return cutsceneEnd
@@ -118,4 +144,5 @@
 end
 
+
 function activateGroup1(timestep)
 
@@ -126,4 +153,5 @@
 return true
 end
+
 
 function activateGroup2(timestep)
@@ -136,2 +164,35 @@
 end
 
+
+function activateGroup3(timestep)
+
+Pirate07:setAI(true)
+Pirate08:setAI(true)
+Pirate09:setAI(true)
+
+return true
+end
+
+
+function startRagnar2(timestep)
+
+Ragnar02:setAI(true)
+bossFight = true
+
+return true
+end
+
+
+function surviver(timestep)
+
+if bossFight then
+time = time + timestep
+end
+
+if time > 25 then
+Ragnar02:setAI(false)
+bossFightEnd = true
+end
+
+return bossFightEnd
+end
